Summary:	Panorama Tools GUI
Name:		hugin
Version:	2018.0.0
Release:	2
License:	GPLv2+
Group:		Graphics
Url:		http://hugin.sourceforge.net
Source0:	http://downloads.sourceforge.net/hugin/%{name}-%{version}.tar.bz2
Source1:	hugin-2018.0.0_ru.tar.gz
BuildRequires:	cmake
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	perl-Image-ExifTool
BuildRequires:	swig >= 2.0
BuildRequires:	tclap
BuildRequires:	zip
BuildRequires:	boost-devel
BuildRequires:	jpeg-devel
# pkgconfig(libtiff-4) is not provided by libtiff in 2011 so we use old format
BuildRequires:	tiff-devel
BuildRequires:	vigra-devel
BuildRequires:	wxgtku3.0-devel
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(glut)
BuildRequires:	pkgconfig(lapack)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(lensfun)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libpano13) >= 2.9.18
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(OpenEXR)
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(zlib)
Requires:	enblend >= 3.2
Requires:	libpano13-tools >= 2.9.18
Requires:	perl-Image-ExifTool

%description
Hugin can be used to stitch multiple images together. The resulting image can
span 360 degrees. Another common use is the creation of very high resolution
pictures by combining multiple images.

%files -f %{name}.lang
%doc AUTHORS INSTALL_cmake README TODO doc/nona.txt doc/fulla.html src/hugin1/hugin/xrc/data/help_en_EN/LICENCE.manual
%{_bindir}/*
%{_libdir}/%{name}/lib*.so.*
%{_datadir}/%{name}
%{_datadir}/appdata/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/*.png
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/gnome/48x48/mimetypes/gnome-mime-application-x-ptoptimizer-script.png
%{_datadir}/mime/packages/hugin.xml
%{_datadir}/pixmaps/hugin.png
%{_datadir}/pixmaps/ptbatcher.png
%{py_platsitedir}/*
%{_mandir}/man?/*

#----------------------------------------------------------------------------

%prep
%setup -q
# Fix error: non-readable in debug package, we get 1000+ errors from rpmlint
find . -type f -exec chmod 644 {} \;

pushd src/translations
tar -xvzf %{SOURCE1}
popd

%build
%define Werror_cflags %{nil}
%cmake \
	-DCMAKE_SKIP_RPATH:BOOL=OFF \
	-DBUILD_HSI=1 \
	-DENABLE_LAPACK=ON
find . -iname flags.make -exec sed -i 's/\-pthread;/\-pthread\ /' {} \;
find . -iname link.txt -exec sed -i 's/\-pthread;/\-pthread\ /' {} \;
%make

%install
%makeinstall_std -C build

# Menu icons
for i in {16,22,32,48}; do
	mkdir -p %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps
	convert -scale $ix$i src/hugin1/hugin/xrc/data/hugin.png %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps/%{name}.png
done
convert -scale 32x32 src/hugin1/hugin/xrc/data/hugin.png %{buildroot}%{_iconsdir}/%{name}.png

# menu entry
desktop-file-install --vendor="" \
	--remove-category="Application" \
	--add-category="X-MandrivaLinux-CrossDesktop;" \
	--add-category="Photography" \
	--add-category="Graphics" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*

%find_lang %{name} nona_gui %{name}.lang

%changelog
